import { $postParam, $post } from "@/plugins/axios";

// 课程
export const commonCourseQuery = ({
  paperArchivesId = "",
  semesterId = ""
}) => {
  return $postParam("/api/admin/common/course/query", {
    paperArchivesId,
    semesterId
  });
};
// 教学班
export const commonTeachClazzQuery = ({
  paperArchivesId = "",
  courseName = ""
}) => {
  return $postParam("/api/admin/common/teach_clazz/query", {
    paperArchivesId,
    courseName
  });
};
// 档案
export const commonArchivesQuery = data => {
  return $postParam("/api/admin/common/archives/query", data);
};
// 档案类型
export const commonArchivesTypeQuery = () => {
  return $postParam("/api/admin/common/archives_type/query", {});
};
// 档案类型
export const commonArchivesManageUserQuery = () => {
  return $postParam("/api/admin/common/manager_user/query", {});
};
// 档案部门
export const commonArchivesOrgQuery = data => {
  return $postParam("/api/admin/common/manager_org/query", data);
};
// 学期
export const commonSemesterQuery = () => {
  return $postParam("/api/admin/common/semester/query", {});
};
// 学期
export const commonScanTaskQuery = () => {
  return $postParam("/api/admin/common/scan_task/query", {});
};

// user --------------------------------->
// user-manage
export const userListPage = datas => {
  return $postParam("/api/admin/sys/user/list", datas);
};
export const updateUser = datas => {
  return $post("/api/admin/sys/user/save", datas);
};
export const ableUser = ({ id, enable }) => {
  return $post("/api/admin/sys/user/enable", { id, enable });
};
export const deleteUser = ids => {
  return $post("/api/admin/sys/user/remove", { ids });
};
export const resetPwd = id => {
  return $post("/api/admin/sys/user/reset_password", { id });
};
export const updatePwd = datas => {
  return $post("/api/admin/sys/user/update_password", datas);
};
export const userBindRoles = ({ id, roleIds }) => {
  return $post("/api/admin/sys/user/bind_roles", { id, roleIds });
};
export const userRoleListPage = () => {
  return $postParam("/api/admin/sys/role/list_to_user", {});
};
export const syncUserToEcs = () => {
  return $postParam("/api/admin/sys/user/push", {});
};
export const roleUserTree = () => {
  return $postParam("/api/admin/sys/user/org-tree", {});
};

// role-manage
export const roleListPage = datas => {
  return $postParam("/api/admin/sys/role/list", datas);
};
export const ableRole = ({ id, enable }) => {
  return $post("/api/admin/sys/role/enable", { id, enable });
};
export const updateRole = datas => {
  return $post("/api/admin/sys/role/save", datas);
};
export const deleteRole = id => {
  return $postParam("/api/admin/sys/role/remove", { id });
};
export const userBoundRoles = userId => {
  return $postParam("/api/admin/sys/role/get_user_roles", { userId });
};
export const roleBoundDataPriviledge = datas => {
  return $postParam("/api/admin/sys/role/bind_range", datas);
};
export const roleUserListQuery = datas => {
  return $postParam("/api/admin/sys/role/query", datas);
};
// role-user-manage
export const roleGroupList = datas => {
  return $postParam("/api/admin/sys/role/group/list", datas);
};
export const updateRoleGroup = datas => {
  return $post("/api/admin/sys/role/group/save", datas);
};
// menu-manage
export const menuAuthList = datas => {
  return $postParam("/api/admin/sys/privilege/list_auth", datas);
};
export const privilegeList = datas => {
  return $postParam("/api/admin/sys/privilege/list", datas);
};
export const roleBoundPrivileges = roleId => {
  return $postParam("/api/admin/sys/privilege/get_role_privileges", { roleId });
};
// organization-manage
export const organizationList = datas => {
  return $postParam("/api/admin/sys/org/list", datas);
};
export const organizationFindByTypeList = datas => {
  return $postParam("/api/admin/sys/org/find_by_type", datas);
};
export const updateOrganization = datas => {
  return $post("/api/admin/sys/org/save", datas);
};
export const ableOrganization = ({ id, enable }) => {
  return $post("/api/admin/sys/org/enable", { id, enable });
};
export const deleteOrganization = id => {
  return $post("/api/admin/sys/org/remove", { id });
};
export const teachCollegeList = examId => {
  return $postParam("/api/admin/grade/batch/paper/find_teach_college", {
    examId
  });
};

// course-manage
export const courseListPage = datas => {
  return $postParam("/api/admin/basic/course/list", datas);
};
export const courseQuery = datas => {
  return $postParam("/api/admin/basic/course/query", datas);
};
export const deleteCourse = idList => {
  return $postParam("/api/admin/basic/course/delete_batch", { idList });
};
export const batchDeleteCourse = datas => {
  return $postParam("/api/admin/basic/course/delete_by_query", datas);
};
export const updateCourse = datas => {
  return $post("/api/admin/basic/course/save", datas);
};
export const ableCourse = ({ idList, enable }) => {
  return $postParam("/api/admin/basic/course/enable", { idList, enable });
};
export const batchEnableCourse = datas => {
  return $postParam("/api/admin/basic/course/enable_by_query", datas);
};

// dict --------------------------------->
// student-manage
export const studentListQuery = datas => {
  return $postParam("/api/admin/basic/student/query", datas);
};
export const deleteStudent = idList => {
  return $postParam("/api/admin/basic/student/delete_batch", { idList });
};
export const deleteFilterStudent = datas => {
  return $postParam("/api/admin/basic/student/delete_by_condition", datas);
};
export const updateStudent = datas => {
  return $post("/api/admin/basic/student/save", datas);
};
export const studentSimpleListQuery = datas => {
  return $postParam("/api/admin/teach/student/page", datas);
};
export const deleteStudentSimple = idList => {
  return $postParam("/api/admin/teach/student/delete", { idList });
};
export const updateStudentSimple = datas => {
  return $post("/api/admin/teach/student/create", datas);
};
export const batchAddStudentSimple = datas => {
  return $post("/api/admin/teach/student/create_batch", datas);
};
export const studentCascadeQuery = datas => {
  return $postParam("/api/admin/common/basic_student/condition", datas);
};

// clazz-manage
export const clazzListQuery = datas => {
  return $postParam("/api/admin/basic/clazz/query", datas);
};
export const deleteClazz = idList => {
  return $postParam("/api/admin/basic/clazz/delete_batch", { idList });
};
export const updateClazz = datas => {
  return $post("/api/admin/basic/clazz/save", datas);
};
export const clazzQuery = datas => {
  return $postParam("/api/admin/basic/clazz/datasource", datas);
};

// clazz-simple-manage
export const clazzSimpleListPage = datas => {
  return $postParam("/api/admin/teach/clazz/page", datas);
};
export const clazzTeachCourseQuery = datas => {
  return $postParam("/api/admin/teach/clazz/find_teach_course", datas);
};
export const deleteClazzSimple = idList => {
  return $postParam("/api/admin/teach/clazz/delete", { idList });
};
export const updateClazzSimple = datas => {
  return $post("/api/admin/teach/clazz/edit", datas);
};

// semester-manage
export const semesterListQuery = datas => {
  return $postParam("/api/admin/basic/semester/page", datas);
};
export const deleteSemester = id => {
  return $postParam("/api/admin/basic/semester/delete", { id });
};
export const updateSemester = datas => {
  return $post("/api/admin/basic/semester/save", datas);
};
// record-type-manage
export const recordTypeListQuery = datas => {
  return $postParam("/api/admin/paper/archives_type/page", datas);
};
export const deleteRecordType = id => {
  return $postParam("/api/admin/paper/archives_type/delete", { id });
};
export const updateRecordType = datas => {
  return $post("/api/admin/paper/archives_type/save", datas);
};
// major-manage
export const majorListQuery = datas => {
  return $postParam("/api/admin/basic/major/query", datas);
};
export const deleteMajor = idList => {
  return $postParam("/api/admin/basic/major/delete", { idList });
};
export const updateMajor = datas => {
  return $post("/api/admin/basic/major/save", datas);
};
// college-manage
export const collegeListQuery = datas => {
  return $postParam("/api/admin/basic/college/query", datas);
};
export const deleteCollege = idList => {
  return $postParam("/api/admin/basic/college/delete", { idList });
};
export const updateCollege = datas => {
  return $post("/api/admin/basic/college/save", datas);
};

// other --------------------------------->
// print-plan-push-manage
export const printPlanPushListQuery = datas => {
  return $postParam("/api/admin/exam/print_sync/list_sync", datas);
};
export const printPlanBatchPush = list => {
  return $post("/api/admin/exam/print_sync/sync_data_cloud_batch", {
    list
  });
};
export const printPlanPush = ({ printPlanId, thirdRelateId }) => {
  return $postParam("/api/admin/exam/print_sync/sync_data_cloud", {
    printPlanId,
    thirdRelateId
  });
};
export const printPlanMergePush = datas => {
  return $post("/api/admin/exam/print_sync/sync_data_merge", datas);
};
export const printPlanSyncExamList = () => {
  return $post("/api/admin/exam/print_sync/list_relate_ids", {});
};

// sms-manage
export const smsListQuery = datas => {
  return $postParam("/api/admin/basic/message/list", datas);
};
export const smsTypes = () => {
  return $postParam("/api/admin/basic/message/list_message_types", {});
};
export const resendSms = id => {
  return $postParam("/api/admin/basic/message/resend", { id });
};

// exam-manage
export const examQuery = datas => {
  return $postParam("/api/admin/basic/exam/query", datas);
};
export const examListQuery = datas => {
  return $postParam("/api/admin/basic/exam/page", datas);
};
export const deleteExam = id => {
  return $postParam("/api/admin/basic/exam/delete", { id });
};
export const updateExam = datas => {
  return $post("/api/admin/basic/exam/save", datas);
};
export const ableExam = ({ id, enable }) => {
  return $postParam("/api/admin/basic/exam/enable", { id, enable });
};

// exam-config
export const examConfigQuery = datas => {
  return $postParam("/api/admin/basic/print_config/page", datas);
};
export const deleteExamConfig = id => {
  return $postParam("/api/admin/basic/print_config/delete", { id });
};
export const updateExamConfig = datas => {
  return $post("/api/admin/basic/print_config/save", datas);
};
export const ableExamConfig = ({ id, enable }) => {
  return $postParam("/api/admin/basic/print_config/enable", { id, enable });
};
export const examConfigByExamIdOrgId = datas => {
  return $postParam(
    "/api/admin/basic/print_config/get_by_exam_id_and_org_id",
    datas
  );
};
export const listOrgsByExamId = ({ id, examId }) => {
  return $postParam("/api/admin/basic/print_config/list_org_id_by_exam_id", {
    id,
    examId
  });
};
// common
export const uploadFile = datas => {
  return $post("/api/admin/common/file/upload", datas);
};
export const getCode = type => {
  return $postParam("/api/admin/common/get_code", { type });
};
